$title  gams2tbl Example 3: Relabeling rows and columns in the output table

set     i       /1*5/;
set     j       /a,b,c,d/;

set     il(i)   /1      This is row 1,
                 2      Entry for row 2,
                 3      Row 3 for you to see
                 4      The fourth row
                 5      The fifth and final /;

set     jl(j)   /a      Column A
                 b      Column B 
                 c      Column C
                 d      Column D /;

parameter  A    A data array (technical description);
A(i,j) = uniform(0,100);

$setglobal title "Specified Labels and Title"
$setglobal title_just center
$setglobal row_label il
$setglobal col_label jl

file ktxt /example3.txt/; put ktxt;

$libinclude gams2tbl A

