$title  GAMS2TBL Example 5: Handling Zeros

set     i       /1*10/;
set     j       /a,b,c,d/;

parameter  A    A sparse table with zeros suppressed;
A(i,j)$(uniform(0,1) gt 0.5) = uniform(0,100);

file ktxt /example5.txt/; put ktxt;

$setglobal zeros no
put //'Table generated with default row_set (zero rows are skipped):'//;
$libinclude gams2tbl A

put //'Table generated with specified row_set (even zero rows are listed):'//;
$setglobal row_set i
$libinclude gams2tbl A
