$title  GAMS2TBL Example 6: Generating Labelled Tables within a Loop

set     sc      Scenario identifiers /sc1*sc4/;
set     i       /1*5/;
set     j       /a,b,c,d/;

parameter  A    A table of random results;

*       Include a blank invocation to initialize before calling
*       the system from within a loop:

$libinclude gams2tbl 

file ktxt /example6.txt/; put ktxt;

loop(sc,

*       Define the title with double quotes around the outside,
*       as a valid PUT list, except that we omit the leading
*       and trailing single quotes (these are attached by gams2tbl):

$setglobal title "Results for Scenario (',sc.tl,')"

        A(i,j) = uniform(0,100);

$libinclude gams2tbl A

);
