$title  gams2tbl Example 4: Controling the numeric format

set     i       /1*5/;
set     j       /a,b,c,d/;

parameter decimals(j) Number of decimals by column /a 3, b 2, c 2, d 1/;

parameter  A  Non-Default Numeric Formats;

A(i,j) = uniform(-0.3,0.3);

file ktxt /example4.txt/; put ktxt;

$eolcom !

*       Use numeric control parameters provided by the PUT
*       facility to control the output format:

ktxt.nw = 15;    ! Table columns with 15 characters
ktxt.nz = 0.005; ! Numeric zero tolerance (abs less than 0.005 set to zero)

*       Specify number of decimals by column.  (Could alternatively
*       define r_decimals to control numeric format by row.  When
*       both r_decimals and c_decimals are specified, r_decimals is
*       ignored.)

$setglobal c_decimals decimals

$libinclude gams2tbl A

